#!/bin/bash

# #exec 2>/dev/console

# #set -x

UPGRADE="/tmp/firmware_upgrade"
BIN="$UPGRADE/bin"
JFFS="$UPGRADE/jffs"

newID=`$BIN/hostid`
licFile=elgatoLicense_${newID}.tar

if [ -e /flash/egServer/license/elgato.lic ]
then
#    ln -sf $BIN/gzip /bin/gzip
#    ln -sf $BIN/gzip /bin/gunzip
#    GZIP="-9"; export GZIP

    cd /
    /bin/cp $JFFS/$licFile $JFFS/license.tar.bak
    $BIN/tar -cWf $JFFS/$licFile flash/egServer/license
#    $BIN/gzip -f $JFFS/$licFile

    $BIN/hostid > id
    $BIN/tar -cWf $JFFS/criticalFiles.tar id
    $BIN/tar -rWf $JFFS/criticalFiles.tar flash/egServer/registry
    $BIN/tar -rWf $JFFS/criticalFiles.tar flash/egServer/license
    $BIN/tar -rWf $JFFS/criticalFiles.tar flash/egServer/cals
#    $BIN/gzip -f $JFFS/criticalFiles.tar
    rm -f id
    cd $BIN
    exit 0
fi
    exit 1

